{ moduleFunctions }:
let
  inherit (moduleFunctions.devicesFunctions)
    ownerWriteOthersReadMask
    readWritePermissions
    marsIP
    deviceNames
    ;
in
{
  label = deviceNames.desktopLabel;
  name = deviceNames.desktop;
  sync = {
    address0 = "";
  };
  ip = {
    address0 = marsIP;
  };
  boot = {
    options = ownerWriteOthersReadMask;
  };
  wireguard = {
    ip0 = "10.100.0.2";
  };
  storage0 = {
    mount = "/mnt/media/games";
    device = "/dev/disk/by-label/Games";
    options = readWritePermissions;
  };
  storage1 = {
    mount = "/mnt/media/storage";
    device = "/dev/disk/by-label/Storage";
    options = readWritePermissions;
  };
}
